Lingua::Stem::Sv(3p)

NAME
Lingua::Stem::Sv - Stemming algorithm for Swedish

SYNOPSIS
    use Lingua::Stem::Sv;
    my $stems   = Lingua::Stem::Sv::stem({ -words => $word_list_reference,
                                          -locale => 'sv',
                                      -exceptions => $exceptions_hash,
                                     });

DESCRIPTION
This routine applies a stemming slgorithm to a passed anon array of Swedish words, returning the stemmed words as an anon array.

It is a 'convienence' wrapper for 'Lingua::Stem::Snowball::Se' that provides a standardized interface and caching.

CHANGES
2.31 2020.09.26 - Fix for Latin1/UTF8 issue in documentation

2.30 2020.06.20 - Version renumbering for module consistency

1.01 2003.09.28 - Documentation fix

1.00 2003.04.05 - Initial release

METHODS

stem({ -words => \@words, -locale => 'sv', -exceptions => \%exceptions });
    Stems a list of passed words using the rules of Swedish. Returns an anonymous array reference to the stemmed words.

    Example:

      my $stemmed_words = Lingua::Stem::Sv::stem({ -words => \@words,
                                                  -locale => 'sv',
                                              -exceptions => \%exceptions,
                              });

stem_caching({ -level => 0|1|2 });
    Sets the level of stem caching.

    '0' means 'no caching'. This is the default level.

    '1' means 'cache per run'. This caches stemming results during a single
        call to 'stem'.

    '2' means 'cache indefinitely'. This caches stemming results until
        either the process exits or the 'clear_stem_cache' method is called.

clear_stem_cache;
    Clears the cache of stemmed words

NOTES
This code is a wrapper around Lingua::Stem::Snowball::Sv written by Ask Solem Hoel, <ask@unixmonks.net>

SEE ALSO
 Lingua::Stem Lingua::Stem::Snowball::Sv

AUTHOR
  Integration in Lingua::Stem by Jerilyn Franz

COPYRIGHT
Jerilyn Franz

BUGS

TODO